import imp.*;
import java.util.Random;
import java.awt.Color;


class Kunst {
        public  Picture stricheln(Picture originalbild, int laenge, int dicke, int anzahl) {
        int breite = originalbild.getWidth();
        int hoehe  = originalbild.getHeight();

        Color[][] pixel = originalbild.getPixelArray();
        Picture neuesBild = new Picture(breite,hoehe);
        
        neuesBild.strokeWeight(dicke);
        Random r = new Random();
        
        for(int i=0; i < anzahl; i++) {
            int x = r.nextInt(breite);
            int y = r.nextInt(hoehe);
            neuesBild.stroke(pixel[x][y].getRed(),pixel[x][y].getGreen(),pixel[x][y].getBlue());
            neuesBild.line(x, y, x+laenge, y+laenge);
        }
        return neuesBild;
    }

    public  Picture tupfen(Picture originalbild, int groesse,int anzahl){
        int breite = originalbild.getWidth();
        int hoehe  = originalbild.getHeight();

        Color[][] pixel = originalbild.getPixelArray();
        Picture neuesBild = new Picture(breite,hoehe);
        
        Random r = new Random();
        neuesBild.noStroke();
        
        for(int i=0; i < anzahl; i++) {
            int x = r.nextInt(breite);
            int y = r.nextInt(hoehe);
            neuesBild.fill(pixel[x][y].getRed(),pixel[x][y].getGreen(),pixel[x][y].getBlue());
            neuesBild.ellipse(x, y, groesse, groesse);
        }
        
        return neuesBild;
    }

}